Documentation Index

Fetch the complete documentation index at: https://docs.xtremepush.com/llms.txt

Use this file to discover all available pages before exploring further.

Profile attribute

Prev Next
Post
/list/profile-attribute

Get profile attribute values from user profiles.

Further information on user profiles, device profiles and attributes can be found in the guide on user data.

Note: Logging of profile subscription changes is turned off by default and this API method will return empty result sets. If you believe you need access to this data, please contact us.

Body parameters
Get all attributes for a single user profile
{
  "apptoken": "YOUR_APPTOKEN",
  "condition": [
    [
      "user_id",
      "=",
      "USER_ID"
    ]
  ]
}
object
apptoken
string Required

Your App token

order
Array of string

Order the results in either ascending or descending order based on any of the attributes, eg. ["attribute_name"] or ["update_time DESC"]

string
select
Array of string

Select what attributes to return, eg. ["value", "update_time"]

string
condition
string (json)

Filter the user profiles based on some criteria, eg. [ ["user_id", "=", "USER_ID"] ]

limit
integer (int32)

Used with offset for pagination, eg. "limit": 50, "offset": 0 returns a max of 50 results starting at position 0

offset
integer (int32)

Used with limit for pagination

Responses
200

200

Result
{
  "success": "True",
  "code": "200",
  "data": [
    {
      "project_id": "2780",
      "profile_id": "11eb0ca1610252948bc7061c72c7ac00",
      "value": "Belle",
      "attribute_name": "first_name",
      "user_id": "1234",
      "update_time": "1633523110"
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleTrue
code
integer
Default0
Example200
data
Array of object
object
project_id
integer
Default0
Example2780
profile_id
string
Example11eb0ca1610252948bc7061c72c7ac00
value
string
ExampleBelle
attribute_name
string
Examplefirst_name
user_id
string
Example1234
update_time
integer
Default0
Example1633523110
400

400

Result
{
  "success": "False",
  "code": "400",
  "message": "General error information",
  "errors": [
    {
      "text": [
        "Detailed information about the specific error"
      ]
    }
  ]
}
Expand All
object
success
boolean
Defaulttrue
ExampleFalse
code
integer
Default0
Example400
message
string
ExampleGeneral error information
errors
Array of object
object
text
Array of string
string